Index: For_developers/mk_upload_tarball.sh
===================================================================
--- For_developers/mk_upload_tarball.sh	(revision 7b74a492ce203630198d98184d3247268bdaba78)
+++ For_developers/mk_upload_tarball.sh	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -18,6 +18,6 @@
 #
 
-tarname='flex_extract_v7.1.tar.gz'
-tardir='flex_extract_v7.1'
+tarname='flex_extract_v7.1.2.tar.gz'
+tardir='flex_extract_v7.1.2'
 
 # go back to directory which is above flex_extract directory
Index: Source/Python/Classes/EcFlexpart.py
===================================================================
--- Source/Python/Classes/EcFlexpart.py	(revision 026b3592e0f0e4124d157e7b5b2d5dbea02dba75)
+++ Source/Python/Classes/EcFlexpart.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -1722,8 +1722,15 @@
 # ============================================================================================
             # create name of final output file, e.g. EN13040500 (ENYYMMDDHH)
+            # for CERA-20C we need all 4 digits for the year sinc 1900 - 2010
             if c.purefc:
-                suffix = cdate[2:8] + '.' + ctime + '.' + cstep
+                if c.marsclass == 'EP':
+                    suffix = cdate[0:8] + '.' + ctime + '.' + cstep
+                else:
+                    suffix = cdate[2:8] + '.' + ctime + '.' + cstep
             else:
-                suffix = cdate_hour[2:10]
+                if c.marsclass == 'EP':
+                    suffix = cdate_hour[0:10]
+                else:
+                    suffix = cdate_hour[2:10]
 
             # if necessary, add ensemble member number to filename suffix
Index: Testing/Installation/Api_testscripts/README.md
===================================================================
--- Testing/Installation/Api_testscripts/README.md	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/Api_testscripts/README.md	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,7 @@
+# API test scripts
+
+These example scripts were prepared to test the two APIs "CDS API" and "ECMWF Web API" after their installation for both, member-state users and public users.
+
+They were taken from the official journal publication from Section A2 "System prerequisites".
+
+Execute the scripts and wait for the retrieval to finish and look for the final GRIB file in the directory where the script was executed.
Index: Testing/Installation/Api_testscripts/test_cdsapi_modellevel.py
===================================================================
--- Testing/Installation/Api_testscripts/test_cdsapi_modellevel.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/Api_testscripts/test_cdsapi_modellevel.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,23 @@
+#!/usr/bin/env python3
+# -*- coding: utf-8 -*-
+
+import cdsapi
+
+c = cdsapi.Client()
+
+c.retrieve('reanalysis-era5-complete',
+{
+	'class'   : 'ea',
+	'expver'  : '1',
+	'stream'  : 'oper',
+	'type'    : 'fc',
+	'step'    : '3/to/12/by/3',
+	'param'   : '130.128',
+	'levtype' : 'ml',
+	'levelist': '135/to/137',
+	'date'    : '2013-01-01',
+	'time'    : '06/18',
+	'area'    : '50/-5/40/5',
+	'grid'    : '1.0/1.0',
+	'format'  : 'grib',
+}, 'download_era5_cdsapi.grib')
Index: Testing/Installation/Api_testscripts/test_cdsapi_pressurelevel.py
===================================================================
--- Testing/Installation/Api_testscripts/test_cdsapi_pressurelevel.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/Api_testscripts/test_cdsapi_pressurelevel.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,19 @@
+#!/usr/bin/env python3
+# -*- coding: utf-8 -*-
+
+import cdsapi
+
+c = cdsapi.Client()
+
+c.retrieve("reanalysis-era5-pressure-levels",
+{
+	"variable": "temperature",
+	"pressure_level": "1000",
+	"product_type": "reanalysis",
+	"year": "2008",
+	"month": "01",
+	"day": "01",
+	"time": "12:00",
+	"format": "grib"
+},
+"download_cdsapi.grib")
Index: Testing/Installation/Api_testscripts/test_ecmwfapi_member.py
===================================================================
--- Testing/Installation/Api_testscripts/test_ecmwfapi_member.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/Api_testscripts/test_ecmwfapi_member.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,20 @@
+#!/usr/bin/env python3
+# -*- coding: utf-8 -*-
+
+from ecmwfapi import ECMWFService
+
+server = ECMWFService('mars')
+
+server.retrieve({
+	'stream'    : "oper",
+	'levtype'   : "sfc",
+	'param'     : "165.128/166.128/167.128",
+	'dataset'   : "interim",
+	'step'      : "0",
+	'grid'      : "0.75/0.75",
+	'time'      : "00/06/12/18",
+	'date'      : "2014-07-01/to/2014-07-31",
+	'type'      : "an",
+	'class'     : "ei",
+	'target'    : "download_erainterim_ecmwfapi.grib"
+})
Index: Testing/Installation/Api_testscripts/test_ecmwfapi_public.py
===================================================================
--- Testing/Installation/Api_testscripts/test_ecmwfapi_public.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/Api_testscripts/test_ecmwfapi_public.py	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,20 @@
+#!/usr/bin/env python3
+# -*- coding: utf-8 -*-
+
+from ecmwfapi import ECMWFDataServer
+
+server = ECMWFDataServer()
+
+server.retrieve({
+	'stream'    : "enda",
+	'levtype'   : "sfc",
+	'param'     : "165.128/166.128/167.128",
+	'dataset'   : "cera20c",
+	'step'      : "0",
+	'grid'      : "1./1.",
+	'time'      : "00/06/12/18",
+	'date'      : "2000-07-01/to/2000-07-31",
+	'type'      : "an",
+	'class'     : "ep",
+	'target'    : "download_cera20c_ecmwfapi.grib"
+})
Index: Testing/Installation/Calc_etadot/README
===================================================================
--- Testing/Installation/Calc_etadot/README	(revision None)
+++ Testing/Installation/Calc_etadot/README	(revision None)
@@ -0,0 +1,3 @@
+Execute calc_etadot in this directory. You should receive the message
+'SUCCESSFULLY FINISHED calc_etadot: CONGRATULATIONS'
+on standard output, and the file fort.15 should exist and contain FLEXPART input in GRIB format (check with grib_ls). 
Index: Testing/Installation/Calc_etadot/fort.4
===================================================================
--- Testing/Installation/Calc_etadot/fort.4	(revision None)
+++ Testing/Installation/Calc_etadot/fort.4	(revision None)
@@ -0,0 +1,19 @@
+&NAMGEN
+  maxl = 6,
+  maxb = 6,
+  mlevel = 91,
+  mlevelist = "88/to/91",
+  mnauf = 106,
+  metapar = 77,
+  rlo0 = 30.0,
+  rlo1 = 40.0,
+  rla0 = 40.0,
+  rla1 = 50.0,
+  momega = 0,
+  momegadiff = 0,
+  mgauss = 0,
+  msmooth = 0,
+  meta = 1,
+  metadiff = 0,
+  mdpdeta = 1
+/
Index: sting/Installation/Convert/README
===================================================================
--- Testing/Installation/Convert/README	(revision 69a19a1010b1bc20291d3706c9ab953d4e43b61b)
+++ 	(revision )
@@ -1,3 +1,0 @@
-Execute calc_etadot in this directory. You should receive the message
-'SUCCESSFULLY FINISHED calc_etadot: CONGRATULATIONS'
-on standard output, and the file fort.15 should exist and contain FLEXPART input in GRIB format (check with grib_ls). 
Index: sting/Installation/Convert/fort.4
===================================================================
--- Testing/Installation/Convert/fort.4	(revision None)
+++ 	(revision )
@@ -1,19 +1,0 @@
-&NAMGEN
-  maxl = 6,
-  maxb = 6,
-  mlevel = 91,
-  mlevelist = "88/to/91",
-  mnauf = 106,
-  metapar = 77,
-  rlo0 = 30.0,
-  rlo1 = 40.0,
-  rla0 = 40.0,
-  rla1 = 50.0,
-  momega = 0,
-  momegadiff = 0,
-  mgauss = 0,
-  msmooth = 0,
-  meta = 1,
-  metadiff = 0,
-  mdpdeta = 1
-/
Index: Testing/Installation/First_extraction/README.md
===================================================================
--- Testing/Installation/First_extraction/README.md	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/First_extraction/README.md	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,11 @@
+# Run scripts for the first extraction 
+
+These are the run.sh scripts mentioned in the "Usage section" in the flex_extract publication.
+
+run.sh - member and gateway mode, member-state users
+
+run_local.sh - local mode, both user groups: member-state users: all data sets; public users: ERA5
+
+run_local_public.sh - local mode, public users (CERA-20C, ERA-Interim)
+
+
Index: Testing/Installation/First_extraction/run.sh
===================================================================
--- Testing/Installation/First_extraction/run.sh	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/First_extraction/run.sh	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# @Author: Anne Philipp
+#
+# @Date: October, 4 2018
+#
+# @Description: 
+#    This script defines the available command-line parameters
+#    for running flex_extract and combines them for the execution  
+#    of the Python program. It also does some checks to 
+#    guarantee necessary parameters were set and consistent.
+#
+# @Licence:
+#    (C) Copyright 2014-2019.
+#
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
+#
+# -----------------------------------------------------------------
+# AVAILABLE COMMANDLINE ARGUMENTS TO SET
+# 
+# THE USER HAS TO SPECIFY THESE PARAMETERS:
+
+QUEUE='ecgate'
+START_DATE=None
+END_DATE=None
+DATE_CHUNK=None
+JOB_CHUNK=3
+BASETIME=None
+STEP=None
+LEVELIST=None
+AREA=None
+INPUTDIR=None
+OUTPUTDIR=None
+PP_ID=None
+JOB_TEMPLATE='submitscript.template' 
+CONTROLFILE='CONTROL_CERA' 
+DEBUG=0
+REQUEST=2
+PUBLIC=0
+
+# -----------------------------------------------------------------
+#
+# AFTER THIS LINE THE USER DOES NOT HAVE TO CHANGE ANYTHING !!!
+#
+# -----------------------------------------------------------------
+
+# PATH TO SUBMISSION SCRIPT
+pyscript=../Source/Python/submit.py
+
+# INITIALIZE EMPTY PARAMETERLIST
+parameterlist=""
+
+# CHECK IF ON ECMWF SERVER; 
+if [[ $HOST == *"ecgb"* ]] || [[ $HOST == *"cca"* ]] || [[ $HOST == *"ccb"* ]]; then
+# LOAD PYTHON3 MODULE
+  module load python3
+fi 
+
+# CHECK FOR MORE PARAMETER 
+if [ -n "$START_DATE" ]; then
+  parameterlist+=" --start_date=$START_DATE"
+fi
+if [ -n "$END_DATE" ]; then
+  parameterlist+=" --end_date=$END_DATE"
+fi
+if [ -n "$DATE_CHUNK" ]; then
+  parameterlist+=" --date_chunk=$DATE_CHUNK"
+fi
+if [ -n "$JOB_CHUNK" ]; then
+  parameterlist+=" --job_chunk=$JOB_CHUNK"
+fi
+if [ -n "$BASETIME" ]; then
+  parameterlist+=" --basetime=$BASETIME"
+fi
+if [ -n "$STEP" ]; then
+  parameterlist+=" --step=$STEP"
+fi
+if [ -n "$LEVELIST" ]; then
+  parameterlist+=" --levelist=$LEVELIST"
+fi
+if [ -n "$AREA" ]; then
+  parameterlist+=" --area=$AREA"
+fi
+if [ -n "$INPUTDIR" ]; then
+  parameterlist+=" --inputdir=$INPUTDIR"
+fi
+if [ -n "$OUTPUTDIR" ]; then
+  parameterlist+=" --outputdir=$OUTPUTDIR"
+fi
+if [ -n "$PP_ID" ]; then
+  parameterlist+=" --ppid=$PP_ID"
+fi
+if [ -n "$JOB_TEMPLATE" ]; then
+  parameterlist+=" --job_template=$JOB_TEMPLATE"
+fi
+if [ -n "$QUEUE" ]; then
+  parameterlist+=" --queue=$QUEUE"
+fi
+if [ -n "$CONTROLFILE" ]; then
+  parameterlist+=" --controlfile=$CONTROLFILE"
+fi
+if [ -n "$DEBUG" ]; then
+  parameterlist+=" --debug=$DEBUG"
+fi
+if [ -n "$REQUEST" ]; then
+  parameterlist+=" --request=$REQUEST"
+fi
+if [ -n "$PUBLIC" ]; then
+  parameterlist+=" --public=$PUBLIC"
+fi
+
+# -----------------------------------------------------------------
+# CALL SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
+
+$pyscript $parameterlist
+
Index: Testing/Installation/First_extraction/run_local.sh
===================================================================
--- Testing/Installation/First_extraction/run_local.sh	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/First_extraction/run_local.sh	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# @Author: Anne Philipp
+#
+# @Date: October, 4 2018
+#
+# @Description: 
+#    This script defines the available command-line parameters
+#    for running flex_extract and combines them for the execution  
+#    of the Python program. It also does some checks to 
+#    guarantee necessary parameters were set and consistent.
+#
+# @Licence:
+#    (C) Copyright 2014-2019.
+#
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
+#
+# -----------------------------------------------------------------
+# AVAILABLE COMMANDLINE ARGUMENTS TO SET
+# 
+# THE USER HAS TO SPECIFY THESE PARAMETERS:
+
+QUEUE=None
+START_DATE=None
+END_DATE=None
+DATE_CHUNK=None
+JOB_CHUNK=3
+BASETIME=None
+STEP=None
+LEVELIST=None
+AREA=None
+INPUTDIR='Workspace/CERA'
+OUTPUTDIR='Workspace/CERA'
+PP_ID=None
+JOB_TEMPLATE=None
+CONTROLFILE='CONTROL_CERA'
+DEBUG=0
+REQUEST=2
+PUBLIC=0
+
+# -----------------------------------------------------------------
+#
+# AFTER THIS LINE THE USER DOES NOT HAVE TO CHANGE ANYTHING !!!
+#
+# -----------------------------------------------------------------
+
+# PATH TO SUBMISSION SCRIPT
+pyscript=../Source/Python/submit.py
+
+# INITIALIZE EMPTY PARAMETERLIST
+parameterlist=""
+
+# CHECK IF ON ECMWF SERVER; 
+if [[ $HOST == *"ecgb"* ]] || [[ $HOST == *"cca"* ]] || [[ $HOST == *"ccb"* ]]; then
+# LOAD PYTHON3 MODULE
+  module load python3
+fi 
+
+# CHECK FOR MORE PARAMETER 
+if [ -n "$START_DATE" ]; then
+  parameterlist+=" --start_date=$START_DATE"
+fi
+if [ -n "$END_DATE" ]; then
+  parameterlist+=" --end_date=$END_DATE"
+fi
+if [ -n "$DATE_CHUNK" ]; then
+  parameterlist+=" --date_chunk=$DATE_CHUNK"
+fi
+if [ -n "$JOB_CHUNK" ]; then
+  parameterlist+=" --job_chunk=$JOB_CHUNK"
+fi
+if [ -n "$BASETIME" ]; then
+  parameterlist+=" --basetime=$BASETIME"
+fi
+if [ -n "$STEP" ]; then
+  parameterlist+=" --step=$STEP"
+fi
+if [ -n "$LEVELIST" ]; then
+  parameterlist+=" --levelist=$LEVELIST"
+fi
+if [ -n "$AREA" ]; then
+  parameterlist+=" --area=$AREA"
+fi
+if [ -n "$INPUTDIR" ]; then
+  parameterlist+=" --inputdir=$INPUTDIR"
+fi
+if [ -n "$OUTPUTDIR" ]; then
+  parameterlist+=" --outputdir=$OUTPUTDIR"
+fi
+if [ -n "$PP_ID" ]; then
+  parameterlist+=" --ppid=$PP_ID"
+fi
+if [ -n "$JOB_TEMPLATE" ]; then
+  parameterlist+=" --job_template=$JOB_TEMPLATE"
+fi
+if [ -n "$QUEUE" ]; then
+  parameterlist+=" --queue=$QUEUE"
+fi
+if [ -n "$CONTROLFILE" ]; then
+  parameterlist+=" --controlfile=$CONTROLFILE"
+fi
+if [ -n "$DEBUG" ]; then
+  parameterlist+=" --debug=$DEBUG"
+fi
+if [ -n "$REQUEST" ]; then
+  parameterlist+=" --request=$REQUEST"
+fi
+if [ -n "$PUBLIC" ]; then
+  parameterlist+=" --public=$PUBLIC"
+fi
+
+# -----------------------------------------------------------------
+# CALL SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
+
+$pyscript $parameterlist
+
Index: Testing/Installation/First_extraction/run_local_public.sh
===================================================================
--- Testing/Installation/First_extraction/run_local_public.sh	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
+++ Testing/Installation/First_extraction/run_local_public.sh	(revision 5bf163a83a60997cc70397ba4717876072d2a120)
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# @Author: Anne Philipp
+#
+# @Date: October, 4 2018
+#
+# @Description: 
+#    This script defines the available command-line parameters
+#    for running flex_extract and combines them for the execution  
+#    of the Python program. It also does some checks to 
+#    guarantee necessary parameters were set and consistent.
+#
+# @Licence:
+#    (C) Copyright 2014-2019.
+#
+#    SPDX-License-Identifier: CC-BY-4.0
+#
+#    This work is licensed under the Creative Commons Attribution 4.0
+#    International License. To view a copy of this license, visit
+#    http://creativecommons.org/licenses/by/4.0/ or send a letter to
+#    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
+#
+# -----------------------------------------------------------------
+# AVAILABLE COMMANDLINE ARGUMENTS TO SET
+# 
+# THE USER HAS TO SPECIFY THESE PARAMETERS:
+
+QUEUE=None
+START_DATE=None
+END_DATE=None
+DATE_CHUNK=None
+JOB_CHUNK=3
+BASETIME=None
+STEP=None
+LEVELIST=None
+AREA=None
+INPUTDIR='Workspace/CERApublic'
+OUTPUTDIR='Workspace/CERApublic'
+PP_ID=None
+JOB_TEMPLATE=None
+CONTROLFILE='CONTROL_CERA.public'
+DEBUG=0
+REQUEST=0
+PUBLIC=1
+
+# -----------------------------------------------------------------
+#
+# AFTER THIS LINE THE USER DOES NOT HAVE TO CHANGE ANYTHING !!!
+#
+# -----------------------------------------------------------------
+
+# PATH TO SUBMISSION SCRIPT
+pyscript=../Source/Python/submit.py
+
+# INITIALIZE EMPTY PARAMETERLIST
+parameterlist=""
+
+# CHECK IF ON ECMWF SERVER; 
+if [[ $HOST == *"ecgb"* ]] || [[ $HOST == *"cca"* ]] || [[ $HOST == *"ccb"* ]]; then
+# LOAD PYTHON3 MODULE
+  module load python3
+fi 
+
+# CHECK FOR MORE PARAMETER 
+if [ -n "$START_DATE" ]; then
+  parameterlist+=" --start_date=$START_DATE"
+fi
+if [ -n "$END_DATE" ]; then
+  parameterlist+=" --end_date=$END_DATE"
+fi
+if [ -n "$DATE_CHUNK" ]; then
+  parameterlist+=" --date_chunk=$DATE_CHUNK"
+fi
+if [ -n "$JOB_CHUNK" ]; then
+  parameterlist+=" --job_chunk=$JOB_CHUNK"
+fi
+if [ -n "$BASETIME" ]; then
+  parameterlist+=" --basetime=$BASETIME"
+fi
+if [ -n "$STEP" ]; then
+  parameterlist+=" --step=$STEP"
+fi
+if [ -n "$LEVELIST" ]; then
+  parameterlist+=" --levelist=$LEVELIST"
+fi
+if [ -n "$AREA" ]; then
+  parameterlist+=" --area=$AREA"
+fi
+if [ -n "$INPUTDIR" ]; then
+  parameterlist+=" --inputdir=$INPUTDIR"
+fi
+if [ -n "$OUTPUTDIR" ]; then
+  parameterlist+=" --outputdir=$OUTPUTDIR"
+fi
+if [ -n "$PP_ID" ]; then
+  parameterlist+=" --ppid=$PP_ID"
+fi
+if [ -n "$JOB_TEMPLATE" ]; then
+  parameterlist+=" --job_template=$JOB_TEMPLATE"
+fi
+if [ -n "$QUEUE" ]; then
+  parameterlist+=" --queue=$QUEUE"
+fi
+if [ -n "$CONTROLFILE" ]; then
+  parameterlist+=" --controlfile=$CONTROLFILE"
+fi
+if [ -n "$DEBUG" ]; then
+  parameterlist+=" --debug=$DEBUG"
+fi
+if [ -n "$REQUEST" ]; then
+  parameterlist+=" --request=$REQUEST"
+fi
+if [ -n "$PUBLIC" ]; then
+  parameterlist+=" --public=$PUBLIC"
+fi
+
+# -----------------------------------------------------------------
+# CALL SCRIPT WITH DETERMINED COMMANDLINE ARGUMENTS
+
+$pyscript $parameterlist
+
Index: sting/Installation/testecmwfapi_member.py
===================================================================
--- Testing/Installation/testecmwfapi_member.py	(revision be6c0a2a4151437fa6e0d2b1b393ceb038f1386a)
+++ 	(revision )
@@ -1,24 +1,0 @@
-#!/usr/bin/env python3
-# -*- coding: utf-8 -*-
-
-
-import pytest
-from ecmwfapi import ECMWFService
-
-class TestECMWFApi:
-    """
-    """
-
-    def test_member():
-        server = ECMWFService("mars")
-
-        server.execute({'class'   : "ei",
-                        'time'    : "00",
-                        'date'    : "2013-09-01/to/2013-09-30",
-                        'step'    : "0",
-                        'type'    : "an",
-                        'levtype' : "sfc",
-                        'param'   : "165.128/41.128",
-                        'grid'    : "0.75/0.75"},
-                       "interim201309.grib")
-
Index: sting/Installation/testecmwfapi_public.py
===================================================================
--- Testing/Installation/testecmwfapi_public.py	(revision be6c0a2a4151437fa6e0d2b1b393ceb038f1386a)
+++ 	(revision )
@@ -1,26 +1,0 @@
-#!/usr/bin/env python3
-# -*- coding: utf-8 -*-
-
-
-import pytest
-from ecmwfapi import ECMWFDataServer
-
-class TestECMWFApi:
-    """
-    """
-
-    def test_public():
-        server = ECMWFDataServer()
-
-        server.retrieve({'dataset' : "interim",
-                         'time'    : "00",
-                         'date'    : "2013-09-01/to/2013-09-30",
-                         'step'    : "0",
-                         'type'    : "an",
-                         'levtype' : "sfc",
-                         'param'   : "165.128/41.128",
-                         'grid'    : "0.75/0.75",
-                         'target'  : "interim201309.grib"
-                        })
-
-
